<!--
  ~ (c) Copyright 2024 Swiss Post Ltd.
  -->
<ng-container>
	<p>
		<ng-container *ngIf="electionContest.candidatesQuestion?.hasWriteIns; else noWriteIns">
			<span>{{ 'listandcandidates.instructions.writeins.supported' | translate }}</span>
			<br/>
			<button
					(click)="showWriteInsFAQ()"
					class="btn btn-link align-with-text"
					type="button"
			>
				<vp-icon name="question-circle"></vp-icon>
				<span>{{ 'listandcandidates.instructions.howtousewriteins' | translate }}</span>
			</button>
		</ng-container>

		<ng-template #noWriteIns>
			<ng-container *ngIf="cumulationAllowed; else noCumulationInstruction">
				{{ 'listandcandidates.instructions.cumulation.supported' | translate }}
			</ng-container>

			<ng-template #noCumulationInstruction>
				{{ 'listandcandidates.instructions.cumulation.notsupported' | translate }}
			</ng-template>
		</ng-template>

		<span class="visually-hidden">
      {{ 'listandcandidates.instructions.listofpartiesandcandidates' | translate }}
    </span>

		<span *ngIf="!electionContest.allowFullBlank" class="visually-hidden">
      {{ 'listandcandidates.instructions.mandatorytochooseanoption' | translate }}
    </span>
	</p>

	<vp-choose-list
			*ngIf="electionContest.hasListQuestion"
			[contestFormGroup]="contestFormGroup"
			[electionContest]="electionContest"
	></vp-choose-list>

	<vp-candidates
			[contestFormGroup]="contestFormGroup"
			[electionContest]="electionContest"
			[rightColumnTemplate]="candidateActions"
			[showCandidateDetails]="true"
			[showErrors]="showErrors"
	>
		<ng-template #candidateActions let-candidate="candidate" let-candidateIndex="candidateIndex">
			<vp-choose-candidate
					[candidateIndex]="candidateIndex"
					[candidate]="candidate"
					[candidates]="candidates"
					[contestFormGroup]="contestFormGroup"
					[cumulByCandidate]="cumulByCandidate"
					[electionContest]="electionContest"
					[unoccupiedSeat]="unoccupiedSeat"
			></vp-choose-candidate>
		</ng-template>
	</vp-candidates>
</ng-container>
